---
layout: default
title: CAS - User Interface Customization
---


# Overview
Branding the CAS User Interface (UI) involves simply editing the CSS stylesheet and also a small collection of relatively simple HTML
include files, also known as views. Optionally, you may also wish to modify the text displayed and/or add additional Javascript effects
on these views.

# Browser Support
CAS user interface should properly and comfortably lend itself to all major browser vendors:

* Google Chrome
* Mozilla Firefox
* Apple Safari
* Microsoft Internet Explorer

Note that certain older version of IE, particularly IE 9 and below may impose additional difficulty in getting the right UI configuration in place.

## Internet Explorer
To instruct CAS to render UI in compatibility mode, add the following to relevant UI components:

```html
<meta http-equiv="X-UA-Compatible" content="IE=edge"></meta>
```

# CSS & Javascript
See [this guide](User-Interface-Customization-CSSJS.html) for more info.

# Views
See [this guide](User-Interface-Customization-Views.html) for more info.

# Localization
See [this guide](User-Interface-Customization-Localization.html) for more info.

# Themes
See [this guide](User-Interface-Customization-Themes.html) for more info.
